YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000480YaCy[All Projects] Generalpublic2014-09-29 10:172014-12-08 10:50
Reportersmokingwheels 
Assigned ToOrbiter 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
ETAnone 
PlatformX86OSDebian 7 wheezey VPSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000480: YaCy Webinterface stops working during High-Load Searching on Cheap VPS Server
DescriptionRepetitive searching interval on Low end VPS server
Steps To ReproduceCause high load on VPS server so that Global searches are disabled.
Additional InformationE 2014/09/21 03:36:43 org.apache.solr.core.SolrCore org.apache.solr.common.SolrException: java.nio.channels.ClosedByInterruptException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.add(SolrServer.java:68)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:253)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedByInterruptException
    at java.nio.channels.spi.AbstractInterruptibleChannel.end(AbstractInterruptibleChannel.java:202)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:210)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 15 more

W 2014/09/21 03:36:43 ConcurrentLog org.apache.solr.common.SolrException: java.nio.channels.ClosedByInterruptException
org.apache.solr.common.SolrException: java.nio.channels.ClosedByInterruptException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.add(SolrServer.java:68)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:253)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedByInterruptException
    at java.nio.channels.spi.AbstractInterruptibleChannel.end(AbstractInterruptibleChannel.java:202)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:210)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 15 more
E 2014/09/21 03:36:43 org.apache.solr.core.SolrCore org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:262)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:248)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:261)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedChannelException
    at sun.nio.ch.FileChannelImpl.ensureOpen(FileChannelImpl.java:99)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:192)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 16 more

E 2014/09/21 03:36:43 org.apache.solr.core.SolrCore org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.add(SolrServer.java:68)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:253)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedChannelException
    at sun.nio.ch.FileChannelImpl.ensureOpen(FileChannelImpl.java:99)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:192)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 15 more

I 2014/09/21 03:36:43 YACY SEARCH failed (solr), localpeer (java.nio.channels.ClosedChannelException)
org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:262)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:248)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:261)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedChannelException
    at sun.nio.ch.FileChannelImpl.ensureOpen(FileChannelImpl.java:99)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:192)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 16 more
E 2014/09/21 03:36:43 org.apache.solr.core.SolrCore org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:262)
    at org.apache.solr.client.solrj.SolrServer.deleteById(SolrServer.java:248)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:261)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedChannelException
    at sun.nio.ch.FileChannelImpl.ensureOpen(FileChannelImpl.java:99)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:192)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 16 more

W 2014/09/21 03:36:43 ConcurrentLog org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
org.apache.solr.common.SolrException: java.nio.channels.ClosedChannelException
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:530)
    at org.apache.solr.update.UpdateLog.finish(UpdateLog.java:785)
    at org.apache.solr.update.processor.RunUpdateProcessor.finish(RunUpdateProcessorFactory.java:115)
    at org.apache.solr.update.processor.DistributedUpdateProcessor.finish(DistributedUpdateProcessor.java:1668)
    at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:83)
    at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
    at org.apache.solr.core.SolrCore.execute(SolrCore.java:1962)
    at org.apache.solr.client.solrj.embedded.EmbeddedSolrServer.request(EmbeddedSolrServer.java:150)
    at org.apache.solr.client.solrj.request.AbstractUpdateRequest.process(AbstractUpdateRequest.java:124)
    at org.apache.solr.client.solrj.SolrServer.add(SolrServer.java:68)
    at net.yacy.cora.federate.solr.connector.SolrServerConnector.add(SolrServerConnector.java:253)
    at net.yacy.cora.federate.solr.connector.MirrorSolrConnector.add(MirrorSolrConnector.java:210)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.commitDocBuffer(ConcurrentUpdateSolrConnector.java:108)
    at net.yacy.cora.federate.solr.connector.ConcurrentUpdateSolrConnector.getResponseByParams(ConcurrentUpdateSolrConnector.java:318)
    at net.yacy.peers.Protocol.solrQuery(Protocol.java:1022)
    at net.yacy.peers.RemoteSearch$2.run(RemoteSearch.java:349)
Caused by: java.nio.channels.ClosedChannelException
    at sun.nio.ch.FileChannelImpl.ensureOpen(FileChannelImpl.java:99)
    at sun.nio.ch.FileChannelImpl.write(FileChannelImpl.java:192)
    at java.nio.channels.Channels.writeFullyImpl(Channels.java:78)
    at java.nio.channels.Channels.writeFully(Channels.java:101)
    at java.nio.channels.Channels.access$000(Channels.java:61)
    at java.nio.channels.Channels$1.write(Channels.java:174)
    at org.apache.solr.common.util.FastOutputStream.flush(FastOutputStream.java:214)
    at org.apache.solr.common.util.FastOutputStream.flushBuffer(FastOutputStream.java:207)
    at org.apache.solr.update.TransactionLog.finish(TransactionLog.java:519)
    ... 15 more
TagsNo tags attached.
Attached Files7z file icon Search Crash.7z [^] (3,167,487 bytes) 2014-09-29 10:17

- Relationships

-  Notes
(0000944)
smokingwheels (reporter)
2014-10-10 04:13

Resolved after adding a swap file to Debian 7 VPS
https://www.digitalocean.com/community/tutorials/how-to-configure-virtual-memory-swap-file-on-a-vps [^]
(0000969)
Orbiter (manager)
2014-12-08 10:50

I consider this as solved since a bugfix from last week changes the number of thread allocation which was the reason that YaCy was unable to run on vServers. I believe that could also be the fix for this problem here. Please check with latest development version.

- Issue History
Date Modified Username Field Change
2014-09-29 10:17 smokingwheels New Issue
2014-09-29 10:17 smokingwheels File Added: Search Crash.7z
2014-10-10 04:13 smokingwheels Note Added: 0000944
2014-12-08 10:50 Orbiter Note Added: 0000969
2014-12-08 10:50 Orbiter Status new => resolved
2014-12-08 10:50 Orbiter Resolution open => fixed
2014-12-08 10:50 Orbiter Assigned To => Orbiter


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker